%define vers_major 6
%define vers_minor 41
%define version %{vers_major}.%{vers_minor}

Summary: libarms
Name: libarms
Version: %{version}
Release: 0
Source0: libarms-%{version}.tar.gz
License: BSD
Vendor: Internet Initiative Japan Inc.
Group: System Environment/Libraries
Packager: Tomoyuki Sahara (tsahara@iij.ad.jp)
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
URL: http://dev.smf.jp/libarms/
BuildRequires: make, gcc, expat-devel, openssl-devel

%description
SMFv2 ARMS protocol implementation.

%package devel
Summary: libarms for development
Group: Development/Libraries

%description devel
SMFv2 ARMS protocol implementation for development.

%define undefine_document nobase_dist_doc_DATA=

%prep
%setup

%build
%configure
make %{undefine_document}

%install
make %{undefine_document} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post

%files
%defattr(-,root,root)
%{_libdir}/libarms.so*
%{_libdir}/libarms.la

%files devel
%defattr(-,root,root)
%{_includedir}/libarms.h
%{_libdir}/libarms.a

%changelog
* Tue Jan 23 2024  Shoichi Yamaguchi <s-yamaguchi@iij.ad.jp> 6.41-0
libarms 6.41.

* Thu Aug 25 2022 Kenichi Suzuki <suzu-ken@iij.ad.jp> 6.40-0
libarms 6.40.

* Wed Apr 27 2022 Kenichi Suzuki <suzu-ken@iij.ad.jp> 6.37-0
libarms 6.37.

* Thu Oct 28 2021 Kenichi Suzuki <suzu-ken@iij.ad.jp> 6.36-0
libarms 6.36.

* Wed Jul 21 2021 Shoichi Yamaguchi <s-yamaguchi@iij.ad.jp> 6.35-0
libarms 6.35.

* Wed Mar 31 2021 Kenichi Suzuki <suzu-ken@iij.ad.jp> 6.34-0
libarms 6.34.

* Thu Jan 23 2019 Kenichi Suzuki <suzu-ken@iij.ad.jp> 6.33-0
libarms 6.33.

* Fri Mar 29 2019 Kenichi Suzuki <suzu-ken@iij.ad.jp> 6.32-0
libarms 6.32.

* Fri Mar 29 2019 Kenichi Suzuki <suzu-ken@iij.ad.jp> 6.31-0
libarms 6.31.

* Tue May 08 2018 Kenichiro Morooka <morooka@iij.ad.jp> 6.30-0
libarms 6.30.

* Wed Feb 21 2018 Kenichiro Morooka <morooka@iij.ad.jp> 6.20-0
libarms 6.20.

* Tue Dec 19 2017 Kenichiro Morooka <morooka@iij.ad.jp> 6.10-0
libarms 6.10.

* Mon Jun 26 2017 Kenichiro Morooka <morooka@iij.ad.jp> 6.00-0
libarms 6.00.

* Fri Sep 23 2016 Akihiro Yamazaki <yamazaki@iij.ad.jp> 5.41-0
libarms 5.41.

* Wed Aug 31 2016 Akihiro Yamazaki <yamazaki@iij.ad.jp> 5.40-0
libarms 5.40.

* Tue Mar 14 2016 Akihiro Yamazaki <yamazaki@iij.ad.jp> 5.35-0
libarms 5.35.

* Wed Sep 16 2015 Akihiro Yamazaki <yamazaki@iij.ad.jp> 5.34-0
libarms 5.34.

* Thu Oct 30 2014 Akihiro Yamazaki <yamazaki@iij.ad.jp> 5.33-0
libarms 5.33.

* Thu Aug 27 2013 Akihiro Yamazaki <yamazaki@iij.ad.jp> 5.32-0
libarms 5.32.

* Thu Jul 04 2013 Akihiro Yamazaki <yamazaki@iij.ad.jp> 5.31-0
libarms 5.31.

* Wed Feb 27 2013 Akihiro Yamazaki <yamazaki@iij.ad.jp> 5.20-0
libarms 5.20.

* Thu Sep 27 2012 Akihiro Yamazaki <yamazaki@iij.ad.jp> 5.10-0
libarms 5.10.

* Fri Mar 23 2012 Tomoyuki Sahara <tsahara@iij.ad.jp> 5.01-0
libarms 5.01.

* Wed Aug 24 2011 Tomoyuki Sahara <tsahara@iij.ad.jp> 4.00-0
libarms 4.00.

* Mon Feb 21 2011 Tomoyuki Sahara <tsahara@iij.ad.jp> 3.31-1
initial RPM release.
